#ifndef SETTINGS_H
#define SETTINGS_H

#include <iostream.h>
#include <fstream.h>

const int SETTING_MAX_LENGTH = 100;

class Settings
{
	public:
		Settings(char *settingsFileName);
		~Settings();
		char *getHostName();
		int getPortNumber();
		char *getUserId();
		char *getPasswd();
		char *getEmailDir();
		bool getLeaveOnServer();

	private:
		char *hostName;
		int portNumber;
		char *userId;
		char *passwd;
		char *emailDir;
		bool leaveOnServer;
};

#endif

