#ifndef SOCKETS_H
#define SOCKETS_H

#include <net/socket.h>
#include <net/netdb.h>
#include <time.h>
#include <iostream.h>
#include <string.h>

class Sockets
{
	public:
		Sockets(char *hostName, int portNumber);
		~Sockets();
		int connectServer();
		ssize_t recvStream(char *recvBuffer, int bufferSize);
		ssize_t sendStream(char *sendBuffer);
		bool streamWaiting();

	private:
		sockaddr_in serverAddress;
		int tcpSocket;	
};

#endif
